Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 76771 - AuthDBI fails with Apache 2
Summary: AuthDBI fails with Apache 2
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mod_perl
Version: 8.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Gary Benson
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-26 02:00 UTC by Need Real Name
Modified: 2007-04-18 16:47 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-11-06 13:31:02 UTC


Attachments (Terms of Use)

Description Need Real Name 2002-10-26 02:00:15 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
Can't locate object method "user" via package "Apache::Connection" at
/usr/lib/perl5/site_perl/5.8.0/Apache/AuthDBI.pm line 177

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.use .htpasswd that acesses a mysql database for login info 
2.
3.
	

Actual Results:  When using .htpasswd with Database authentication error : 
Can't locate object method "user" via package "Apache::Connection" at
/usr/lib/perl5/site_perl/5.8.0/Apache/AuthDBI.pm line 177 

appears

Expected Results:  This should authenticate users. 

Additional info:

When upgrading an existing Web Site to Red Hat 8.0 we ran into the following
error once we enabled authdbi : 

Can't locate object method "user" via package "Apache::Connection" at
/usr/lib/perl5/site_perl/5.8.0/Apache/AuthDBI.pm line 177


According to this URL : 
http://www.gossamer-threads.com/archive/mod_perl_C1/dev_F4/Re:_Help_with_Basic_Auth_mod_perl2_P35079

"any auth module should now be using $r->user instead of 
$r->connection->user"

When I modified 
/usr/lib/perl5/site_perl/5.8.0/Apache/AuthDBI.pm from a RedHat 8.0 install and
changed the line from $r->connection->user to $r->user my authentication proces
began working again.

Comment 1 Gary Benson 2002-11-06 12:39:55 UTC
Where did /usr/lib/perl5/site_perl/5.8.0/Apache/AuthDBI.pm come from?  It's not
from mod_perl and no Red Hat package should have installed in site_perl.

Comment 2 Need Real Name 2002-11-06 13:30:55 UTC
This was a box that I cannot verify the person that installed it actually
followed the correct procedure for building a Red Hat Linux box. I am no longer
affiliated with these people so if this is not part of a standard Red Hat Linux
install this can be closed. Thanks for looking into it. 



Comment 3 Gary Benson 2002-11-06 13:57:10 UTC
Ok, closed then.


Note You need to log in before you can comment on or make changes to this bug.